Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.client.methods
Class ZeroCopyPut

    java.lang.Object
      org.apache.http.nio.client.methods.ZeroCopyPut

All Implemented Interfaces:
  Closeable, org.apache.http.nio.protocol.HttpAsyncRequestProducer

    public class ZeroCopyPut

extends Object

`HttpAsyncRequestProducer` implementation that generates an HTTP `PUT` request enclosing content of a file. The request content will be streamed out directly from the underlying file without an intermediate in-memory buffer.

Since:
  4.0

Constructor Summary
`ZeroCopyPut(String requestURI, File content, org.apache.http.entity.ContentType contentType)`
`ZeroCopyPut(URI requestURI, File content, org.apache.http.entity.ContentType contentType)`

Method Summary
`void` | `close()`
`protected org.apache.http.HttpEntityEnclosingRequest` | `createRequest(URI requestURI, org.apache.http.HttpEntity entity)`
`void` | `failed(Exception ex)`
`org.apache.http.HttpRequest` | `generateRequest()`
`org.apache.http.HttpHost` | `getTarget()`
`boolean` | `isRepeatable()`
`void` | `produceContent(org.apache.http.nio.ContentEncoder encoder, org.apache.http.nio.IOControl ioControl)`
`void` | `requestCompleted(org.apache.http.protocol.HttpContext context)`
`void` | `resetRequest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZeroCopyPut

    public ZeroCopyPut(URI requestURI,
                       File content,
                       org.apache.http.entity.ContentType contentType)
                throws FileNotFoundException

Throws:
  `FileNotFoundException`

### ZeroCopyPut

    public ZeroCopyPut(String requestURI,
                       File content,
                       org.apache.http.entity.ContentType contentType)
                throws FileNotFoundException

Throws:
  `FileNotFoundException`

Method Detail

### createRequest

    protected org.apache.http.HttpEntityEnclosingRequest createRequest(URI requestURI,
                                                                       org.apache.http.HttpEntity entity)

### generateRequest

    public org.apache.http.HttpRequest generateRequest()
                                                throws IOException,
                                                       org.apache.http.HttpException

  Specified by:
    `generateRequest` in interface `org.apache.http.nio.protocol.HttpAsyncRequestProducer`
  Throws:
    `IOException`
    `org.apache.http.HttpException`

### getTarget

    public org.apache.http.HttpHost getTarget()

  Specified by:
    `getTarget` in interface `org.apache.http.nio.protocol.HttpAsyncRequestProducer`

### produceContent

    public void produceContent(org.apache.http.nio.ContentEncoder encoder,
                               org.apache.http.nio.IOControl ioControl)
                        throws IOException

  Specified by:
    `produceContent` in interface `org.apache.http.nio.protocol.HttpAsyncRequestProducer`
  Throws:
    `IOException`

### requestCompleted

    public void requestCompleted(org.apache.http.protocol.HttpContext context)

  Specified by:
    `requestCompleted` in interface `org.apache.http.nio.protocol.HttpAsyncRequestProducer`

### failed

    public void failed(Exception ex)

  Specified by:
    `failed` in interface `org.apache.http.nio.protocol.HttpAsyncRequestProducer`

### isRepeatable

    public boolean isRepeatable()

  Specified by:
    `isRepeatable` in interface `org.apache.http.nio.protocol.HttpAsyncRequestProducer`

### resetRequest

    public void resetRequest()
                      throws IOException

  Specified by:
    `resetRequest` in interface `org.apache.http.nio.protocol.HttpAsyncRequestProducer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.